TriggersService
Pause Trigger
Pause a trigger by trigger ID without deleting it.
Method
POST
Path
/v1/triggers/{trigger_id}/pause
Visibility
Authentication
Session token or API key
MFA Requirement
Not required
POST
/v1/triggers/{trigger_id}/pause Request
Testnet
curl --request POST \ \
--url 'https://api.testnet.polyester.com/v1/triggers/9155001234567/pause' \
--header 'Accept: */*' \
--header 'X-API-KEY-ID: YOUR_API_KEY_ID' \
--header 'X-API-TIMESTAMP: YOUR_API_TIMESTAMP' \
--header 'X-API-SIGNATURE: YOUR_API_SIGNATURE' \
--header 'Content-Type: application/json' \
--data '{
"subaccountId": "45LUmqjT",
"triggerId": "59VD7Lar"
}'Responses
{
"status": "CREATED",
"triggerId": "59VD7Lar",
"tsNs": "1735689600000000000"
} trigger_id string
Trigger ID (base58 public ID)
subaccountId string
Optional sub-account for authorization.
triggerId string
Trigger ID to pause.
status enum
Current trigger status after pausing.
CREATED ARMED RUNNING COMPLETED CANCELED FAILED PAUSED
Example
CREATED triggerId string
Paused trigger ID.
Example
59VD7Lar tsNs string
Server timestamp in nanoseconds since epoch (UTC).
Example
1735689600000000000| Key | Status | Error | When |
|---|---|---|---|
| unauthenticated | 401 | Unauthenticated | Authentication required. |
| permission-denied | 403 | Permission Denied | Permission denied. |
| invalid-argument | 400 | Invalid Argument | Invalid argument. |
| not-found | 404 | Not Found | Not found. |
| unavailable | 503 | Unavailable | Service unavailable. |